=== debian/tests/control ===
Tests: python
Restrictions: superficial
Depends: python3, pycodestyle, pyflakes3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-5.10.0-0.deb9.28-alpha-generic [alpha], linux-image-5.10.0-0.deb9.28-alpha-smp [alpha], linux-image-5.10.0-0.deb9.28-amd64 [amd64], linux-image-5.10.0-0.deb9.28-cloud-amd64 [amd64], linux-image-5.10.0-0.deb9.28-rt-amd64 [amd64], linux-image-5.10.0-0.deb9.28-arm64 [arm64], linux-image-5.10.0-0.deb9.28-cloud-arm64 [arm64], linux-image-5.10.0-0.deb9.28-rt-arm64 [arm64], linux-image-5.10.0-0.deb9.28-marvell [armel], linux-image-5.10.0-0.deb9.28-rpi [armel], linux-image-5.10.0-0.deb9.28-armmp [armhf], linux-image-5.10.0-0.deb9.28-armmp-lpae [armhf], linux-image-5.10.0-0.deb9.28-rt-armmp [armhf], linux-image-5.10.0-0.deb9.28-parisc [hppa], linux-image-5.10.0-0.deb9.28-parisc64 [hppa], linux-image-5.10.0-0.deb9.28-686 [i386], linux-image-5.10.0-0.deb9.28-686-pae [i386], linux-image-5.10.0-0.deb9.28-rt-686-pae [i386], linux-image-5.10.0-0.deb9.28-itanium [ia64], linux-image-5.10.0-0.deb9.28-mckinley [ia64], linux-image-5.10.0-0.deb9.28-m68k [m68k], linux-image-5.10.0-0.deb9.28-4kc-malta [mips mipsel], linux-image-5.10.0-0.deb9.28-5kc-malta [mips mips64 mips64el mipsel], linux-image-5.10.0-0.deb9.28-octeon [mips mips64 mips64el mipsel], linux-image-5.10.0-0.deb9.28-loongson-3 [mips64el mipsel], linux-image-5.10.0-0.deb9.28-mips64r6 [mips64r6 mipsr6], linux-image-5.10.0-0.deb9.28-mips64r6el [mips64r6el mipsr6el], linux-image-5.10.0-0.deb9.28-mips32r6 [mipsr6], linux-image-5.10.0-0.deb9.28-mips32r6el [mipsr6el], linux-image-5.10.0-0.deb9.28-powerpc [powerpc], linux-image-5.10.0-0.deb9.28-powerpc-smp [powerpc], linux-image-5.10.0-0.deb9.28-powerpc64 [powerpc ppc64], linux-image-5.10.0-0.deb9.28-powerpc64le [ppc64el], linux-image-5.10.0-0.deb9.28-riscv64 [riscv64], linux-image-5.10.0-0.deb9.28-s390x [s390x], linux-image-5.10.0-0.deb9.28-sh7751r [sh4], linux-image-5.10.0-0.deb9.28-sh7785lcr [sh4], linux-image-5.10.0-0.deb9.28-sparc64 [sparc64], linux-image-5.10.0-0.deb9.28-sparc64-smp [sparc64]
Classes: smp
