## linux-5.10 5.10.216

=== debian/changelog ===
linux-5.10 (5.10.216-1~deb9u1) stretch-security; urgency=medium

  * Rebuild for stretch:
    - Change ABI number to 0.deb9.29

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 07 May 2024 11:16:03 +0200

linux-5.10 (5.10.216-1~deb10u1) buster-security; urgency=high

  * Rebuild for buster:
    - Change ABI number to 0.deb10.29

 -- Ben Hutchings <benh@debian.org>  Mon, 06 May 2024 17:02:06 +0200

linux (5.10.216-1) bullseye-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.10.210
    - units: change from 'L' to 'UL'
    - units: add the HZ macros
    - spi: introduce SPI_MODE_X_MASK macro
    - iio: adc: ad7091r: Set alert bit in config register
    - iio: adc: ad7091r: Allow users to configure device events
    - iio: adc: ad7091r: Enable internal vref if external vref is not supplied
    - dmaengine: fix NULL pointer in channel unregistration function
    - iio:adc:ad7091r: Move exports into IIO_AD7091R namespace.
    - ext4: allow for the last group to be marked as trimmed
    - crypto: api - Disallow identical driver names
    - PM: hibernate: Enforce ordering during image compression/decompression
    - hwrng: core - Fix page fault dead lock on mmap-ed hwrng
    - [s390x] crypto: s390/aes - Fix buffer overread in CTR mode
    - bus: mhi: host: Drop chan lock before queuing buffers
    - async: Split async_schedule_node_domain()
    - async: Introduce async_schedule_dev_nocall()
    - [arm64] dts: qcom: sdm845: fix USB wakeup interrupt types
    - [arm64] dts: qcom: sdm845: fix USB DP/DM HS PHY interrupts
    - lsm: new security_file_ioctl_compat() hook
    - scripts/get_abi: fix source path leak
    - mmc: core: Use mrq.sbc in close-ended ffu
    - mmc: mmc_spi: remove custom DMA mapped buffers
    - rtc: Adjust failure return code for cmos_set_alarm()
    - nouveau/vmm: don't set addr on the fail path to avoid warning
    - ubifs: ubifs_symlink: Fix memleak of inode->i_link in error path
    - rename(): fix the locking of subdirectories
    - block: Remove special-casing of compound pages
    - mm: vmalloc: introduce array allocation functions
    - KVM: use __vcalloc for very large allocations
    - net/smc: fix illegal rmb_desc access in SMC-D connection dump
    - tcp: make sure init the accept_queue's spinlocks once
    - bnxt_en: Wait for FLR to complete during probe
    - vlan: skip nested type that is not IFLA_VLAN_QOS_MAPPING
    - llc: make llc_ui_sendmsg() more robust against bonding changes
    - llc: Drop support for ETH_P_TR_802_2.
    - net/rds: Fix UBSAN: array-index-out-of-bounds in rds_cmsg_recv
      (CVE-2024-23849)
    - tracing: Ensure visibility when inserting an element into tracing_map
    - afs: Hide silly-rename files from userspace
    - tcp: Add memory barrier to tcp_push()
    - netlink: fix potential sleeping issue in mqueue_flush_file
    - ipv6: init the accept_queue's spinlocks in inet6_create
    - net/mlx5: DR, Use the right GVMI number for drop action
    - net/mlx5e: fix a double-free in arfs_create_groups
    - netfilter: nf_tables: restrict anonymous set and map names to 16 bytes
    - netfilter: nf_tables: validate NFPROTO_* family
    - net: mvpp2: clear BM pool before initialization
    - fjes: fix memleaks in fjes_hw_setup
    - net: fec: fix the unhandled context fault from smmu
    - btrfs: ref-verify: free ref cache before clearing mount opt
    - btrfs: tree-checker: fix inline ref size in error messages
    - btrfs: don't warn if discard range is not aligned to sector
    - btrfs: defrag: reject unknown flags of btrfs_ioctl_defrag_range_args
    - btrfs: don't abort filesystem when attempting to snapshot deleted
      subvolume
    - rbd: don't move requests to the running list on errors
    - exec: Fix error handling in begin_new_exec()
    - wifi: iwlwifi: fix a memory corruption
    - netfilter: nft_chain_filter: handle NETDEV_UNREGISTER for inet/ingress
      basechain
    - gpiolib: acpi: Ignore touchpad wakeup on GPD G1619-04
    - drm: Don't unref the same fb many times by mistake due to deadlock
      handling
    - drm/bridge: nxp-ptn3460: fix i2c_master_send() error checking
    - drm/tidss: Fix atomic_flush check
    - drm/bridge: nxp-ptn3460: simplify some error checking
    - PM: sleep: Use dev_printk() when possible
    - PM: sleep: Avoid calling put_device() under dpm_list_mtx
    - PM: core: Remove unnecessary (void *) conversions
    - PM: sleep: Fix possible deadlocks in core system-wide PM code
    - fs/pipe: move check to pipe_has_watch_queue()
    - pipe: wakeup wr_wait after setting max_usage
    - [arm64] dts: qcom: sc7180: Use pdc interrupts for USB instead of GIC
      interrupts
    - [arm64] dts: qcom: sc7180: fix USB wakeup interrupt types
    - mm: use __pfn_to_section() instead of open coding it
    - mm/sparsemem: fix race in accessing memory_section->usage
    - btrfs: remove err variable from btrfs_delete_subvolume
    - btrfs: avoid copying BTRFS_ROOT_SUBVOL_DEAD flag to snapshot of subvolume
      being deleted
    - drm: panel-simple: add missing bus flags for Tianma tm070jvhg[30/33]
    - [armhf] drm/exynos: fix accidental on-stack copy of exynos_drm_plane
    - [armhf] drm/exynos: gsc: minor fix for loop iteration in
      gsc_runtime_resume
    - gpio: eic-sprd: Clear interrupt after set the interrupt type
    - spi: bcm-qspi: fix SFDP BFPT read by usig mspi read
    - [mips*] Call lose_fpu(0) before initializing fcr31 in
      mips_set_personality_nan
    - tick/sched: Preserve number of idle sleeps across CPU hotplug events
    - [x86] entry/ia32: Ensure s32 is sign extended to s64
    - [powerpc*] mm: Fix null-pointer dereference in pgtable_cache_add
    - drivers/perf: pmuv3: don't expose SW_INCR event in sysfs
    - [powerpc*] Fix build error due to is_valid_bugaddr()
    - [powerpc*] mm: Fix build failures due to arch_reserved_kernel_pages()
    - [x86] boot: Ignore NMIs during very early boot

