=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Vcs-Browser: https://salsa.debian.org/kernel-team/linux
 Vcs-Git: https://salsa.debian.org/kernel-team/linux.git
 
-Package: linux-support-5.10.0-0.deb9.28
+Package: linux-support-5.10.0-0.deb9.29
 Architecture: all
 Section: devel
 Depends: ${python3:Depends}, ${misc:Depends}
@@ -62,7 +62,7 @@
  appropriate version for the running kernel.
 Build-Profiles: <!stage1 !pkg.linux.notools !pkg.linux.mintools !nopython>
 
-Package: linux-bootwrapper-5.10.0-0.deb9.28
+Package: linux-bootwrapper-5.10.0-0.deb9.29
 Architecture: powerpc ppc64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Boot wrapper tools for Linux 5.10 on PowerPC
@@ -86,27 +86,27 @@
 Build-Profiles: <!stage1 !pkg.linux.nosource>
 Multi-Arch: foreign
 
-Package: linux-headers-5.10.0-0.deb9.28-common
+Package: linux-headers-5.10.0-0.deb9.29-common
 Architecture: all
 Depends: ${misc:Depends}
-Description: Common header files for Linux 5.10.0-0.deb9.28
+Description: Common header files for Linux 5.10.0-0.deb9.29
  This package provides the common kernel header files for Linux kernel
- version 5.10.0-0.deb9.28, generally used for building out-of-tree kernel
+ version 5.10.0-0.deb9.29, generally used for building out-of-tree kernel
  modules.  To obtain a complete set of headers you also need to install the
- linux-headers-5.10.0-0.deb9.28-(flavour) package, matching the flavour of
+ linux-headers-5.10.0-0.deb9.29-(flavour) package, matching the flavour of
  the kernel you intend the build for.
 Build-Profiles: <!stage1 !pkg.linux.nokernel>
 Multi-Arch: foreign
 
-Package: linux-headers-5.10.0-0.deb9.28-common-rt
+Package: linux-headers-5.10.0-0.deb9.29-common-rt
 Architecture: all
 Depends: ${misc:Depends}
-Description: Common header files for Linux 5.10.0-0.deb9.28-rt
+Description: Common header files for Linux 5.10.0-0.deb9.29-rt
  This package provides the common kernel header files for Linux kernel
- version 5.10.0-0.deb9.28 with the PREEMPT_RT featureset, generally used
+ version 5.10.0-0.deb9.29 with the PREEMPT_RT featureset, generally used
  for building out-of-tree kernel modules.  To obtain a complete set of
  headers you also need to install the
- linux-headers-5.10.0-0.deb9.28-(flavour) package, matching the flavour of
+ linux-headers-5.10.0-0.deb9.29-(flavour) package, matching the flavour of
  the kernel you intend the build for.
 Build-Profiles: <!stage1 !pkg.linux.nokernel>
 Multi-Arch: foreign
@@ -124,9 +124,9 @@
 Build-Profiles: <!stage1 !pkg.linux.nosource>
 Multi-Arch: same
 
-Package: linux-image-5.10.0-0.deb9.28-alpha-generic
+Package: linux-image-5.10.0-0.deb9.29-alpha-generic
 Architecture: alpha
-Depends: kmod, linux-base (>= 4.3~), linux-bootwrapper-5.10.0-0.deb9.28 [powerpc ppc64], ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [alpha] | linux-initramfs-tool [alpha]
+Depends: kmod, linux-base (>= 4.3~), linux-bootwrapper-5.10.0-0.deb9.29 [powerpc ppc64], ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [alpha] | linux-initramfs-tool [alpha]
 Recommends: firmware-linux-free, apparmor [alpha]
 Suggests: linux-doc-5.10, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
 Breaks: wireless-regdb (<< 2019.06.03-1~) [alpha], initramfs-tools (<< 0.120+deb8u2)
