=== debian/tests/control ===
Tests: python
Restrictions: superficial
Depends: python3, pycodestyle, pyflakes3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-5.10.0-0.deb9.29-alpha-generic [alpha], linux-image-5.10.0-0.deb9.29-alpha-smp [alpha], linux-image-5.10.0-0.deb9.29-amd64 [amd64], linux-image-5.10.0-0.deb9.29-cloud-amd64 [amd64], linux-image-5.10.0-0.deb9.29-rt-amd64 [amd64], linux-image-5.10.0-0.deb9.29-arm64 [arm64], linux-image-5.10.0-0.deb9.29-cloud-arm64 [arm64], linux-image-5.10.0-0.deb9.29-rt-arm64 [arm64], linux-image-5.10.0-0.deb9.29-marvell [armel], linux-image-5.10.0-0.deb9.29-rpi [armel], linux-image-5.10.0-0.deb9.29-armmp [armhf], linux-image-5.10.0-0.deb9.29-armmp-lpae [armhf], linux-image-5.10.0-0.deb9.29-rt-armmp [armhf], linux-image-5.10.0-0.deb9.29-parisc [hppa], linux-image-5.10.0-0.deb9.29-parisc64 [hppa], linux-image-5.10.0-0.deb9.29-686 [i386], linux-image-5.10.0-0.deb9.29-686-pae [i386], linux-image-5.10.0-0.deb9.29-rt-686-pae [i386], linux-image-5.10.0-0.deb9.29-itanium [ia64], linux-image-5.10.0-0.deb9.29-mckinley [ia64], linux-image-5.10.0-0.deb9.29-m68k [m68k], linux-image-5.10.0-0.deb9.29-4kc-malta [mips mipsel], linux-image-5.10.0-0.deb9.29-5kc-malta [mips mips64 mips64el mipsel], linux-image-5.10.0-0.deb9.29-octeon [mips mips64 mips64el mipsel], linux-image-5.10.0-0.deb9.29-loongson-3 [mips64el mipsel], linux-image-5.10.0-0.deb9.29-mips64r6 [mips64r6 mipsr6], linux-image-5.10.0-0.deb9.29-mips64r6el [mips64r6el mipsr6el], linux-image-5.10.0-0.deb9.29-mips32r6 [mipsr6], linux-image-5.10.0-0.deb9.29-mips32r6el [mipsr6el], linux-image-5.10.0-0.deb9.29-powerpc [powerpc], linux-image-5.10.0-0.deb9.29-powerpc-smp [powerpc], linux-image-5.10.0-0.deb9.29-powerpc64 [powerpc ppc64], linux-image-5.10.0-0.deb9.29-powerpc64le [ppc64el], linux-image-5.10.0-0.deb9.29-riscv64 [riscv64], linux-image-5.10.0-0.deb9.29-s390x [s390x], linux-image-5.10.0-0.deb9.29-sh7751r [sh4], linux-image-5.10.0-0.deb9.29-sh7785lcr [sh4], linux-image-5.10.0-0.deb9.29-sparc64 [sparc64], linux-image-5.10.0-0.deb9.29-sparc64-smp [sparc64]
Classes: smp
